import React, { Component } from 'react';
import PropTypes from 'prop-types';

/**
 *
 *
 * @class SimpleCell
 * @extends {Component}
 */
class SimpleCell extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }


  render() {
    let { content, width } = this.props;
    return (
      <div className="simple-cell-root" title={content} style={{ width }}>
        {content}
      </div>
    );
  }
}

SimpleCell.propTypes = {
  content: PropTypes.string,
  width: PropTypes.string
};

export default SimpleCell;
